Subject: Matching shortest string in se's

From: [email-masked]
Date: Fri, 4 Aug 1995 15:54:54 -0400

Is there an easy way that I have missed to match blocks of code bounded
by tags of multiple characters using sam?  Examples would be C comments 
(/*..*/)
or HTML tags (<pre>...</pre>).  I've done the comments in the past by typing
out the combinations of things that I don't want to match in between

,x#/\*([^*/]|\n|[^*]/|\*[^/]|\*\n)+\*/#d

but the combinations expand rapidly as I try to match longer tags.  Is there
something else I should try?

Thanks,
Beirne